Session Replays

Get Replay Events Page

GET
/v0/project/{idOrSlug}/replays/{sessionId}/{windowId}/events

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string
sessionId*string
windowId*string

Query Parameters

cursorId?string|null
cursorSequence?string|null
cursorFirstEventTimestampMs?string|null
cursorCreatedAt?string|null
limitChunks?string|null
pageBytes?string|null
seekCoverageRelativeMs?string|null
seekRelativeMs?string|null
seekAtMs?string|null
includeRouteSpans?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/replays/string/string/events"
{  "sessionId": "string",  "windowId": "string",  "events": [    "string"  ],  "routeSpans": [    {      "route": "string",      "from": 0,      "to": 0,      "count": 0    }  ],  "nextCursor": {    "id": "string",    "sequence": 0,    "firstEventTimestampMs": 0,    "createdAt": "string"  },  "hasMore": true,  "loadedFrom": 0,  "loadedTo": 0}
{  "_tag": "SessionReplaysValidationError",  "message": "string"}
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}
{  "_tag": "InternalServerError",  "message": "string"}